Bug 26230 - Cannot reread partitions if not enough space first time through
Cannot reread partitions if not enough space first time through
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: 25165 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-02-05 17:13 EST by Michael Fulbright
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-14 19:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Fulbright 2001-02-05 17:13:12 EST
If you repartition a disk completely with disk druid, then go through
package selection and select too much stuff to fit, you will get a warning,
then get sent back to try again.  If you then just go forwards again to
where it will start to try to install packages, you will get an error
saying it could not reread the partition table. This is because something
is holding the device open.  Also, when you click 'ok' at the error screen
you get informing you of this problem, the installer exits abnormally
instead of rebooting cleanly.
Comment 1 Glen Foster 2001-02-06 19:08:41 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 2 Michael Fulbright 2001-02-08 15:27:50 EST
*** Bug 25165 has been marked as a duplicate of this bug. ***
Comment 3 Michael Fulbright 2001-02-08 20:00:11 EST
This happens because we have turned on swap, and can't turn it off because on
some machines we need swap for install to continue.

Need to check and see if we need to rewrite partition table when they have gone
back and tried to make more space. If they just removed packages to make space,
we don't save partition table. If they modified partition table then they'll
have to reboot because the drive(s) with swap enabled are busy and we can't
reread the partition table.

Note You need to log in before you can comment on or make changes to this bug.